Bug 456298 - Review Request: netbeans-resolver - Resolver subproject of xml-commons patched for NetBeans
Review Request: netbeans-resolver - Resolver subproject of xml-commons patch...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 456337
  Show dependency treegraph
 
Reported: 2008-07-22 13:49 EDT by Victor G. Vasilyev
Modified: 2008-09-07 17:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 13:42:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
langel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Victor G. Vasilyev 2008-07-22 13:49:09 EDT
Spec URL: http://nbi.netbeans.org/files/documents/210/2050/netbeans-resolver.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2051/netbeans-resolver-6.1-1.fc10.src.rpm
Description: 
Resolver subproject of xml-commons, version %{patched_resolver_ver} with a patch for NetBeans.

This package is required for the NetBeans IDE 6.1
Comment 1 Victor G. Vasilyev 2008-07-31 13:12:13 EDT
This is my first contribution so I need a sponsor please.
Comment 2 Victor G. Vasilyev 2008-08-15 07:57:27 EDT
The second release is prepared for review.
Spec URL: http://nbi.netbeans.org/files/documents/210/2050/netbeans-resolver.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2124/netbeans-resolver-6.1-2.fc10.src.rpm

Changes:
- Docummentaion is added
- Appropriate value of the Group Tag are chosen from the official list

rpmlint shows no errors and no warnings against both SRPM and RPMs.
Comment 3 Terje Røsten 2008-08-21 14:09:22 EDT
Quick look:

 o please remove or explain the distribution tag.
 o I don't see the need for the %nb_ and %nb_ver macros
 o add the -k option to dos2unix to preserve timestamps
 o switch from  $RPM_BUILD_ROOT to %{buildroot} everywhere.
 o why define orig_jar, ijardir br_jardir
Comment 4 Victor G. Vasilyev 2008-08-22 12:35:04 EDT
The third release is prepared for review.
Spec URL: http://nbi.netbeans.org/files/documents/210/2050/netbeans-resolver.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2146/netbeans-resolver-6.1-3.fc10.src.rpm

FYI a page with all resources related to the NetBeans here:
http://nbi.netbeans.org/servlets/ProjectDocumentList?folderID=267

(In reply to comment #3)
>  o please remove or explain the distribution tag.
- Redundant distribution tag is removed

>  o I don't see the need for the %nb_ and %nb_ver macros
>  o why define orig_jar, ijardir br_jardir
- Redundant user-defined macros are removed

>  o add the -k option to dos2unix to preserve timestamps
- The -k option is used for the dos2unix commands

>  o switch from  $RPM_BUILD_ROOT to %{buildroot} everywhere.
- The %%{buildroot} is used everywhere instead of $RPM_BUILD_ROOT

Also, it is additionally fixed:
- java-devel is specified in BuildRequires insead of java-1.6.0-openjdk
- An epoch of 1 is included in the requirements for the Java versions
- The canonical RPM macros are used instead of the commands ant and rm
- More correct source URL is used, i.e not a mirror
Comment 5 Terje Røsten 2008-08-22 12:58:26 EDT
Thanks, looks much better now.

BTW: you can make it more easy for the reviewer if you could add a reference to a successful koji build. 

Create a koji build from a srpm with:

$ koji build --scratch dist-f10 netbeans-resolver-6.1-3.fc10.src.rpm


I just did for the netbeans-resolver package:

 http://koji.fedoraproject.org/koji/taskinfo?taskID=778455

and found a problem:

 http://koji.fedoraproject.org/koji/getfile?taskID=778455&name=build.log

dos2unix is not listed as a BuildRequires.
Comment 6 Victor G. Vasilyev 2008-08-25 08:42:35 EDT
The fourth release is prepared for review.
Spec URL: http://nbi.netbeans.org/files/documents/210/2050/netbeans-resolver.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2148/netbeans-resolver-6.1-4.fc10.src.rpm

Changes:
- The dos2unix package is added as the build requirements

Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=784438
Comment 7 Lillian Angel 2008-09-04 15:39:36 EDT
2 issues to be resolved.

http://fedoraproject.org/wiki/Packaging/Guidelines

* 1 Packaging Guidelines
o 1.1 Naming
ok
o 1.2 Legal
ok
o 1.3 No inclusion of pre-built binaries or libraries
removed. ok
o 1.4 Writing a package from scratch
ok
o 1.5 Modifying an existing package
ok
o 1.6 Filesystem Layout
ok
o 1.7 Use rpmlint
$ rpmlint -i /notnfs/langel/rpm/RPMS/noarch/netbeans-resolver-6.1-4.fc9.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
o 1.8 Changelogs
ok
o 1.9 Tags
ok
o 1.10 BuildRoot tag
ok
o 1.11 Requires
ok
o 1.12 BuildRequires
ok

XXXX 1.13 Summary and description
Change the description so it does not extend pass 80 chars/line

o 1.14 Encoding
ok
o 1.15 Documentation
ok
o 1.16 Compiler flags
ok
o 1.17 Debuginfo packages
n/a
o 1.18 Exclusion of Static Libraries
n/a
o 1.19 Duplication of system libraries
n/a
o 1.20 Beware of Rpath
n/a
o 1.21 Configuration files
n/a
o 1.22 Initscripts
n/a
o 1.23 Desktop files
n/a
o 1.24 Macros
ok
o 1.25 Handling Locale Files
n/a
o 1.26 Timestamps
ok
o 1.27 Parallel make
n/a
o 1.28 Scriptlets requirements
n/a
o 1.29 Running scriptlets only in certain situations
n/a
o 1.30 Scriplets are only allowed to write in certain directories
n/a
o 1.31 Conditional dependencies
n/a
o 1.32 Build packages with separate user accounts
n/a
o 1.33 Relocatable packages
n/a
o 1.34 Code Vs Content
ok
o 1.35 File and Directory Ownership
ok
o 1.36 Users and Groups
ok
o 1.37 Web Applications
ok
o 1.38 Conflicts
ok
o 1.39 No External Kernel Modules
n/a
o 1.40 No Files or Directories under /srv
n/a
o 1.41 Application Specific Guidelines
n/a



http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST Items:

- MUST: rpmlint must be run on every package. The output should be posted in the review.
ok
- MUST: The package must be named according to the Package Naming Guidelines .
ok
- MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .
ok
- MUST: The package must meet the Packaging Guidelines .
ok
- MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
ok

XXXX MUST: The License field in the package spec file must match the actual license.
No. The license field says ASL 2.0, where as the actual license is ASL 1.1.

- MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
ok
- MUST: The spec file must be written in American English.
ok
- MUST: The spec file for the package MUST be legible. If the reviewer is unable to read the spec file, it will be impossible to perform a review. Fedora is not the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
ok
- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
ok
- MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
ok
- MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. 
ok
- MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
ok
- MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
ok
- MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
ok
- MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
ok
- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. Refer to the Guidelines for examples.
- MUST: A package must not contain any duplicate files in the %files listing.
ok
- MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
ok
- MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
ok
- MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
ok
- MUST: The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines .
ok
- MUST: Large documentation files should go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity)
ok
- MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
ok
- MUST: Header files must be in a -devel package.
n/a
- MUST: Static libraries must be in a -static package.
n/a
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
n/a
- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
n/a
- MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
n/a
- MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
n/a
- MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. 
n/a
- MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
ok
- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
ok
- MUST: All filenames in rpm packages must be valid UTF-8.
ok

SHOULD Items:

- SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
ok
- SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
ok
- SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
ok
- SHOULD: The package should compile and build into binary rpms on all supported architectures.
ok
- SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
ok
- SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
ok
- SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
ok
- SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
n/a
- SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. Please see File Dependencies in the Guidelines for further information.
n/a
Comment 8 Victor G. Vasilyev 2008-09-05 08:05:28 EDT
The fifth release is prepared for review.

Spec URL:
http://nbi.netbeans.org/files/documents/210/2050/netbeans-resolver.spec
SRPM URL:
http://nbi.netbeans.org/files/documents/210/2167/netbeans-resolver-6.1-5.fc10.src.rpm

Changes (In reply to comment #7):
> 2 issues to be resolved.
> XXXX 1.13 Summary and description
> Change the description so it does not extend pass 80 chars/line
- The description is formatted
> XXXX MUST: The License field in the package spec file must match the actual
> license.
> No. The license field says ASL 2.0, where as the actual license is ASL 1.1.
- The license version is fixed

The rpmlint shows no errors and no warnings against both SRPM and RPM.

Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=808496
Comment 9 Lillian Angel 2008-09-05 08:53:48 EDT
APPROVED
Comment 10 Victor G. Vasilyev 2008-09-05 09:32:13 EDT
New Package CVS Request
=======================
Package Name: netbeans-resolver
Short Description: Resolver subproject of xml-commons patched for NetBeans
Owners: victorv
Branches:
InitialCC:
Comment 11 Kevin Fenzi 2008-09-05 12:40:08 EDT
cvs done.
Comment 12 Victor G. Vasilyev 2008-09-05 13:42:34 EDT
Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=809078
Comment 13 Kevin Fenzi 2008-09-05 17:09:32 EDT
Did you need further cvs action here? 
Setting flag back to +, please reset it and add a comment as to what you need and set it to ?.
Comment 14 Victor G. Vasilyev 2008-09-07 17:55:47 EDT
Kevin,

I didn't need further cvs action here, because the package has been successfully added in the devel branch. It seems it is enough to make the package be accessible for fc10.
As far as I understood, the fedora‑cvs flag should have the "+" status if all the requested cvs tasks was successfully completed. Seems the current status is correct.

Sorry, if I broke a protocol when I have closed this bug.

Thanks,
Victor

Note You need to log in before you can comment on or make changes to this bug.